package es.cgpcosmad.toi18n.web;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import com.google.api.translate.Language;

/**
 * @author Carlos García. cgpcosmad@gmail.com
 * @see http://www.carlos-garcia.es
 */
public class LangCtrl implements Serializable {
	private static final long serialVersionUID = -8879990311146508118L;
	
	private static LangCtrl instance;
	private ArrayList<String> languages; 
	
	private LangCtrl(){
		Language[] langs = Language.values();
		this.languages = new ArrayList<String>(langs.length + 16);
		
		if (langs != null){
			for (int i = 0, num = langs.length; i < num; i++){
				languages.add(langs[i].name().toUpperCase());
			}
		}		
	}
	
	public List<String> getLanguages(){
		return languages;
	}


	public static LangCtrl getInstance() {
		if (instance == null){
			instance = new LangCtrl();
		}
		return instance;
	}
}